#!/bin/sh
# gvSIG.sh
# Script de arranque de gvSIG para paquetes deb (directorio de instalación /opt/gvSIG)
export GVSIG_LIBS="/opt/gvSIG/libs:/opt/gvSIG/libs/gdal:/opt/gvSIG/libs/proj:/opt/gvSIG/libs/ecw"
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$GVSIG_LIBS"
export PROJ_LIB="/opt/gvSIG/bin/gvSIG/extensiones/org.gvsig.crs/data"
export GDAL_DATA="/usr/share/gdal15"
cd "/opt/gvSIG/bin"

for i in ./lib/*.jar ; do
  LIBRARIES=$LIBRARIES:"$i"
done
for i in ./lib/*.zip ; do
  LIBRARIES=$LIBRARIES:"$i"
done

/usr/lib/jvm/java-1.5.0-sun/bin/java -Djava.library.path=/usr/lib:/opt/gvSIG/libs:/opt/gvSIG/libs/gdal:/opt/gvSIG/libs/proj:/opt/gvSIG/libs/ecw -cp andami.jar$LIBRARIES -Xmx500M com.iver.andami.Launcher gvSIG gvSIG/extensiones "$@"

